Download it now!
Bug 73660 - EDITING: Search does not find words with soft hyphen
Summary: EDITING: Search does not find words with soft hyphen
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.2 rc
Hardware: Other All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.3.0 target:4.2.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-01-15 12:23 UTC by László Németh
Modified: 2016-02-25 12:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2014-01-15 12:23:35 UTC
Test:

Type "er­gonomic", put a soft hyphen after "er" by Ctrl+hyphen, and search the word "ergonomic". LibreOffice 4.1 will find it, but LibreOffice 4.2 won't.
Comment 1 Michael Stahl (CIB) 2014-01-17 21:28:56 UTC
ee999b1c5fe6d116e18354ef3359912d33101dc7..a1aea9418f860595641da8dcc971f656eaacf8a3

regression from:

commit ebeff3f074dd94dce4ce6cc55abd0495103684bd
Author:     Matteo Casalin <matteo.casalin@yahoo.com>
AuthorDate: Tue Nov 12 00:46:22 2013 +0100

    xub_StrLen to sal_Int32 in SwIndex and some related
Comment 2 Michael Stahl (CIB) 2014-01-17 22:24:39 UTC
check for possible new value -1 for hint start was missing...

fixed on master
Comment 3 Commit Notification 2014-01-17 22:25:00 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=156a0235bd8ff06840cecad1e70a57ffc5b8e7e1

fdo#73660: sw: fix Find of words containing soft-hyphen



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-01-20 14:51:33 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=22183794b50d3d55094e1363755af74a10a4b555&h=libreoffice-4-2

fdo#73660: sw: fix Find of words containing soft-hyphen


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-01-21 10:15:19 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=54a8a941c0c5f0a11c8c4fd40617bfdbb40c07ed&h=libreoffice-4-2-0

fdo#73660: sw: fix Find of words containing soft-hyphen


It will be available already in LibreOffice 4.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-02-25 12:55:33 UTC
Varun Dhall committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a3781a7ff856c9d808c836acda35706477229513

Added test for tdf#73660 search for string with soft hyphen

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.